BST SHOW(1)

NAME
bst-show - Show elements in the pipeline

SYNOPSIS
bst show [OPTIONS] [ELEMENTS]...

DESCRIPTION
Show elements in the pipeline

    Specifying no elements will result in showing the default targets
    of the project. If no default targets are configured, all project
    elements will be shown.

    When this command is executed from a workspace directory, the default
    is to show the workspace element.

    By default this will show all of the dependencies of the
    specified target element.

    Specify ``--deps`` to control which elements to show:

        none: No dependencies, just the element itself
        run: Runtime dependencies, including the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

    **FORMAT**

    The ``--format`` option controls what should be printed for each element,
    the following symbols can be used in the format string:

        %{name} The element name
        %{description} The element description, on a single line (Since: 2.3)
        %{key} The abbreviated cache key (if all sources are consistent)
        %{full-key} The full cache key (if all sources are consistent)
        %{state} cached, buildable, waiting, inconsistent or junction
        %{config} The element configuration
        %{vars} Variable configuration
        %{env} Environment settings
        %{public} Public domain data
        %{workspaced} If the element is workspaced
        %{workspace-dirs} A list of workspace directories
        %{deps} A list of all dependencies
        %{build-deps} A list of build dependencies
        %{runtime-deps} A list of runtime dependencies
        %{source-info} Source provenance information
        %{artifact-cas-digest} The CAS digest of the built artifact

    The value of the %{symbol} without the leading '%' character is understood
    as a pythonic formatting string, so python formatting features apply,
    example:

        bst show target.bst --format 'Name: %{name: ^20} Key: %{key: ^8} State: %{state}'

    If you want to use a newline in a format string in bash, use the '$' modifier:

        bst show target.bst --format $'---------- %{name} ----------{vars}'

OPTIONS

--except PATH
    Except certain dependencies

-d, --deps [none|run|build|all]
    The dependencies to show [default: all]

--order [stage|alpha]
    Staging or alphabetic ordering of dependencies [default: stage]

-f, --format FORMAT
    Format string for each element